Jack::JackALSARawMidiReceiveQueue Class Reference
Inheritance diagram for Jack::JackALSARawMidiReceiveQueue:

## Public Member Functions

| JackALSARawMidiReceiveQueue (snd_rawmidi_t *rawmidi, size_t buffer_size=4096)
jack_midi_event_t * | DequeueEvent ()

## Detailed Description

Definition at line 29 of file JackALSARawMidiReceiveQueue.h.

## Member Function Documentation

jack_midi_event_t * JackALSARawMidiReceiveQueue::DequeueEvent | ( |  | ) |

virtual

Dequeues an event from the queue. Returns the event, or 0 if no events are available for reading.

An event dequeued from the read queue is guaranteed to be valid up until another event is dequeued, at which all bets are off. Make sure that you handle each event you dequeue before dequeueing the next event.

Implements Jack::JackMidiReadQueue.

Definition at line 40 of file JackALSARawMidiReceiveQueue.cpp.

The documentation for this class was generated from the following files:

- JackALSARawMidiReceiveQueue.h
- JackALSARawMidiReceiveQueue.cpp